%define oname afflib

Name: libaff
Version: 3.3.7
Release: alt1

Summary: A set of programs for creating and manipulating AFF files

Group: System/Libraries
License: BSD
Url: http://www.afflib.org/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://www.afflib.org/downloads/%oname-%version.tar.bz2
Patch0: afflib-shared.diff
Patch1: afflib-no_win32.diff
Patch2: %name-fix-build.patch

# Automatically added by buildreq on Fri Aug 28 2009
BuildRequires: gcc-c++ libcurl-devel libewf-devel libexpat-devel libfuse-devel libncurses-devel libreadline-devel

%description
AFFLIB is an open source library developed by Simson Garfinkel and Basis
Technology that implements the AFF standard. AFFLIB is distributed under
4-clause Berkeley License and may be freely incorporated into both Open
Source and Proprietary software.

In addition to the library, AFFLIB also comes with the AFF Tools, a set of
programs for creating and manipulating AFF files.

%package devel
Summary: Header files for the afflib library
Group: Development/C
Requires: %name = %version-%release

%description devel
AFFLIB is an open source library developed by Simson Garfinkel and Basis
Technology that implements the AFF standard. AFFLIB is distributed under
4-clause Berkeley License and may be freely incorporated into both Open
Source and Proprietary software.

This package contains the header files.

%prep
%setup -q -n %oname-%version
#%patch0 -p1
#%patch1 -p0
%patch2

%build
%__subst "s|-static.*||g" tools/Makefile.am lib/Makefile.am
mkdir -p m4
%autoreconf

%configure \
    --enable-libewf=yes \
    --enable-s3=yes \
    --enable-fuse=yes \
    --with-curl=%prefix \
    --enable-qemu=no \
    --disable-static

%make_build

%install
%makeinstall_std

# install headers as well
#install -d %buildroot%_includedir/afflib
#install -m0644 lib/*.h %buildroot%_includedir/afflib/

%files
%_bindir/afcat
%_bindir/afcompare
%_bindir/afcrypto
%_bindir/afrecover
%_bindir/afsign
%_bindir/afverify
%_bindir/afconvert
%_bindir/afcopy
%_bindir/affix
%_bindir/affuse
%_bindir/afinfo
%_bindir/afsegment
%_bindir/afstats
%_bindir/aftest
%_bindir/afxml
#%_bindir/aimage
%_bindir/s3
%_man1dir/*
%doc AUTHORS BUGLIST.txt COPYING ChangeLog NEWS README* doc/*
%_libdir/*.so.*

%files devel
%dir %_includedir/afflib/
%_includedir/afflib/*.h
%_libdir/*.so
%_pkgconfigdir/*.pc

%changelog
* Fri Aug 28 2009 Vitaly Lipatov <lav@altlinux.ru> 3.3.7-alt1
- new version 3.3.7 (with rpmrb script)

* Fri Nov 07 2008 Vitaly Lipatov <lav@altlinux.ru> 3.3.4-alt1
- initial build for ALT Linux Sisyphus

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 2.3.0-1mdv2008.1
+ Revision: 135817
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Sep 07 2007 Oden Eriksson <oeriksson@mandriva.com> 2.3.0-1mdv2008.0
+ Revision: 81864
- Import afflib

* Fri Sep 07 2007 Oden Eriksson <oeriksson@mandriva.com> 2.3.0-1mdv2008.0
- initial Mandriva package
